/*      JET PAK - HP DeskJet and LaserJet series printer utilities
 *
 *      JETUTIL module - miscellaneous utilities
 *
 *      Version 1.1 (Public Domain)
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "jetutil.h"

static FILE *out=stdout;

/* Set file stream
*/
void
os_setfile(void *file)
{ out=(FILE *)file;
}

/* Print NULL terminated string 's'
*/
void
os_printstr(char *s)
{ while (*s)
   { fputc(*s,out);
     s++;
   }
}

/* Print buffer 's' of length 'n', which may contain NULLs
*/
void
os_printbuf(char *s, int n)
{ while (n-- > 0)
   { fputc(*s,out);
     s++;
   }
}

/* Allocate and clear nbytes of memory. This routine succeeds
 * even if nbytes is 0
*/
void *zalloc(nbytes)
size_t nbytes;
{ if(nbytes==0)
   nbytes++;
  return(calloc(1, nbytes));
}
